For the complete documentation index, see llms.txt. This page is also available as Markdown.

Endpoint

Try the API

Get Pre-Built Bet Recommendations

get

Returns pre-built bet recommendations for a specific event.

Authorizations
x-access-tokenstringRequired
Query parameters
event_urnstringRequired

Unique event identifier.

Example: sr:match:12345
countinteger · min: 1 · max: 20Optional

Number of recommendations to return (1–20).

Default: 1Example: 5
lengthinteger · min: 2 · max: 10Optional

Number of selections in each bet builder (2–10), The API will attempt to return a Bet Builder with the requested length. However, in some cases, it may return a Bet Builder with fewer selections than requested. If a fixed length is required, we recommend applying an additional filter on your side. Alternatively, you can configure a fixed length on the frontend and collapse any additional market lines to provide the best user experience.

Default: 2Example: 2
userstringOptional

The user to get recommended bet builder for. If 0, defaults to most popular combos.

Example: 23456
Header parameters
x-sub-bookmakerstringRequired

Sub bookmaker ID found in the MTS console.

Example: 12345
Responses
200

Successful response with pre-built bet recommendations.

application/json
requested_recommendationsintegerOptionalExample: 4
generated_atstring · date-timeOptionalExample: 2025-08-28T03:46:23+00:00
get/v1custombet/prebuilt
GET /v1custombet/prebuilt?event_urn=sr%3Amatch%3A12345 HTTP/1.1
Host: api.betradar.com
x-access-token: YOUR_API_KEY
x-sub-bookmaker: 12345
Accept: */*
{
  "event": [
    {
      "id": "sr:match:62602726",
      "provided_recommendation": 3,
      "source": "text",
      "recommendations": [
        {
          "odds": 1.6908642659096753,
          "probability": 0.5419945158026643,
          "selection": [
            {
              "market_id": "63",
              "outcome_id": "9",
              "specifiers": null
            }
          ]
        }
      ]
    }
  ],
  "requested_recommendations": 4,
  "generated_at": "2025-08-28T03:46:23+00:00"
}

Parameters

If you have access only to Trader-Curated Pre-Builts, you may use only the parameters marked with *. These are only available for Soccer Pre-match World Cup events now.

Parameter

Description

Example

event_urn (optional) *

Unique event identifier.

The event id to get a bet builder for. If not set then the top count recommended events of the given user will be picked and bet builders for them will be generated.

sr:match:12345

count (optional) *

Number of recommendations to return (1–20). Default 1

5

length (optional)

Number of selections in each bet builder (2–10). Default 2

2

user (optional)

The user to get recommended bet builder for. If 0, defaults to most popular combos.

23456

type (optional) *

Filter for specific recommendation types. Options you can choose from

  1. Player_H2H: Saka O2.5 shots + Neko O2.5 shots

  2. Player_Performance: Saka 1+ Goals + 2+ SoT + 1+ Assist

  3. Player_VS_Team: Saka Anytime Goalscorer + Wolves U0.5 Goals

  4. Double: pre-built with 2 selections

  5. Treble: pre-built with 3 selections

  6. Multiple: pre-built with more than 3 selections

Only available for Soccer Pre-match World Cup events.

includeMultimatch (optional) *

When you set is as “True“, you can get multi-match pre-builts.

Only available for Soccer Pre-match World Cup events.

max_count_per_event (optional)

Optional upper limit to the amount of bet builders to generate per event. Since the number of bet builders to generate per event is dynamically calculated based on their confidence (so more bet builders are generated for highly recommended events), this parameter can be used to apply a limit, for example if one wants only one bet builder per event regardless of their personalization score. If not set, it will be ignored.

Min 1, Max 10

3

filters (optional)

Optional filtering on the events and markets to consider. The event related filters are ignored in case the event_urn parameter is provided. It expects a string adhering to the filtering format, as described in the filtering section, e.g. sport_id:eq:1.

The filters you can use: (can set multiple filters)

  • sport id: give you recommendation for specific sport. For example, filters=sport_id:eq:sr:sport_id:1

  • country id: give you recommendation for events sport. For example, filters=country_id:eq:sr:country_id:2

  • league id: give you recommendation for specific league. For example, filters=league_id:in:sr:tournament:1,sr:tournament:2

  • market type id: give you recommendation that include the specific market. For example, filters=market_type_id:in;1,18. For example filters=market_type_id:in:1,29,40 (means it will only show Prebuilts with the 1x2, BTTS and Anytime Goalscorer market markets). Similarly the nin can be used which means the Prebuilts will not include these markets

  • outcome id: give you recommendation that include the specific outcome. For example, filters=outcome_id:in:12.

  • quote: Returns recommendations where every selection in the combination meets the specified threshold you want. For example, filters=quote:gt:5.0, then if the odds of market 1x2 is 3.0 (less than 5.0), then this selection would be excluded.

Filtering operators:

in Returns entries where the field is equal to one of the provided values.

ninReturns entries where the field is not equal to any of the provided values

eqReturns entries where the field is equal to the value, e.g. country:eq:germany

neqReturns entries where the field is not equal to the value, e.g. country:neq:germany

gtReturns entries where the field is greater than the value, e.g. quote:gt:1.5

ltReturns entries where the field is less than the value, e.g. quote:lt:5

The values should be comma separated, e.g. sport:in:soccer,rugby

sport_id:eq:sr:sport_id:1

from (optional)

The minimum event's starting datetime. If not explicitly set it defaults to now.

Sample of the date format

from_offset (optional)

Considers events starting after the from timestamp plus the given minutes/hours/days. If not set defaults to 0 minutes. The value must be in range [-7d - 7d].

Default: 0 Pattern: ^[+-]?[0-9]+([.][0-9]+)?[smhd]?$

-7d

to_offset (optional)

Considers events starting till the from timestamp plus the given minutes/hours/days. If not set defaults to one day (24 hours). The value must be in range [-7d - 7d].

Default: 2d Pattern: ^[+-]?[0-9]+([.][0-9]+)?[smhd]?$

order_by (optional)

The columns to sort the results by. It expects a string adhering to the ordering format, e.g. +league_confidence,-sport_confidence.

Options: league_confidence, sport_confidence, country_confidence, begin

order_by=-league_confidence,%2Bbegin' Is this correct, why do we use %?

In this example we get the recommended events for the user with id 1, grouped on league level with the most relevant league on top. Inside each league the events are ordered by begin time with the most recent one on top.

Operator

Description

+

Sorts the results based on the provided field's value in ascending order, e.g. +confidence

-

Sorts the results based on the provided field's value in descending order, e.g. -confidence

Response Explanation

Element

Element Description

Attribute(s)

Attribute Description

Possible Values

event

Array of event-level recommendation data.

id

Unique event identifier.

sr:match:123456

provided_recommendation

Number of recommendations produced for this event.

4

recommendations

Array of recommendation objects.

-

recommendations

Recommended combo for the event.

selection

The list of individual selections that make up the combo.

-

odds

Total calculated odds for the recommended combo.

1.32

probability

Fair probability for the recommended combo.

0.34

Name (optional)

A catchy, attention-grabbing promotional title suggested by us . You can display on the sportsbook to highlight a featured Bet Builder or boosted bet and attract punters’ interest.

Up for the fight City Masterclass

Type (optional)

The special types of pre-built.

Player vs Team Player H2H Multi-match

*The exact types we offer are yet to be confirmed.

selection

One selection in a pre-built recommendation

market_id

The unique id for a specific market.

Integer value:

· 18

· 26

· 551

outcome_id

The identifier of a unique outcome within a specific market.

Integer or string value, depending on a market:

· 12

· 70

· sr:goal_range:7+:1343

· sr:player:123456

specifiers (optional)

Specifiers are a way to uniquely identify a market with additional parameters together with the market id.

Example:

In a total market, the specifier could be seen as specifiers="total=1.5", and the different outcomes would be “under 1.5” or “over 1.5”.

requested_recommendations

Total number of recommendations the client asked for.

Matches the client request parameter "count".

4

generated_at

Timestamp when the recommendations were created.

ISO-8601 datetime.

2025-08-28T03:46:23+00:00

Last updated

Was this helpful?